import { Table } from "antd";
import { useTranslation } from "react-i18next";

export default function MyTable({ props }) {
  const { t } = useTranslation();

  return (
    <Table
      {...props}
      scroll={{ x: "max-content" }}
      locale={{
        emptyText: (
          <div
            style={{
              display: "flex",
              justifyContent: "center",
              alignItems: "center",
              height: 110,
            }}
          >
            {t("common.noDataFound")}
          </div>
        ),
      }}
    />
  );
}
